#
# spec file for package himalaya
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           himalaya
Version:        0.6.1~0
Release:        bp155.1.31
Summary:        Command-line interface for email management
License:        MIT
Group:          Productivity/Networking/Email/Clients
URL:            https://github.com/soywod/himalaya
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  libopenssl-devel
ExclusiveArch:  %{rust_tier1_arches}

%description
Command-line interface for email management.

%prep
%autosetup -a1
mkdir .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/himalaya

%changelog
* Wed Oct 12 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.6.1:
  Added:
  * Added -s|--sanitize flag for the read command.
  Changed:
  * Changed the behaviour of the -t|--mime-type argument of the read
    command. It is less strict now: if no part is found for the given
    MIME type, it will fallback to the other one. For example, giving
  - t html will show in priority HTML parts, but if none of them are
    found it will show plain parts instead (and vice versa).
  * Sanitization is not done by default when using the read command,
    the flag -s|--sanitize needs to be explicitly provided.
  FixedL
  * Fixed empty text bodies when reading html part on plain text email
    [#352].
* Tue Oct 11 2022 Michael Vetter <mvetter@suse.com>
- Initial package of himalaya 0.6.0 for openSUSE
